<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="es-ES">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=latin1_spanish_ci" />
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <title>...::: Sistema de Registro, Control y Asistencia T&eacute;cnica de Equipos Tenol&oacute;gicos - SIRECONASTET-DTPCG :::...</title>
    <link rel="stylesheet" href="css/main.css" type="text/css" media="screen" />
<style type="text/css">
.Estilo1 {
    font-family: Verdana, Arial, Helvetica, sans-serif;;
    font-weight: normal;
    font-size: 12px;
    color:#000000;
    vertical-align:middle;
    text-align: center;
}
.Estilo2 {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 12px;
    color:#F0F8FF;
    vertical-align:middle;
}
</style>

<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="main.js"></script>

</head>
<body bgcolor="#F0F0F0">
<?php 
  include "mnPrincipal.php";
  
?>
 <table width="946" border="2" align="center" cellpadding="15" cellspacing="10" bordercolor="#FF0000">
      <tr>
        <td colspan="6"><div align="center" class="Estilo1">      
          <p>&nbsp;</p>
          <p>&nbsp;</p>
          <p> <b> CONSULTA POR TIPO DE ACCIÓN PRESTADA SEGUN DIRECCIÓN </b> </p>
         <form name="t_accion" action="prueba.php" method="post">
		  <p><img  onClick="javascript:document.t_accion.submit();" src="imagenes/imp_logo.jpg" width="41" height="41"><br>
          </p>
        </div></td>
      </tr>
     <tr ><td  >

           </td>
       </tr> 
       <tr><td>
           
            <?php
            //Verdana, Arial, Helvetica, sans-serif;
            	$reportes[0][0]="Dirección";
                include "conexion/conex.php";
                 $enlace =conectarbase();
                 $sql = "SELECT DISTINCT Nombre_direccion from reporte";
				 $resul=mysql_query($sql);
                 if ($resul>0){
				 	$i=1;
				 	while ($row=mysql_fetch_array($resul)) { 
            	 		$reportes[$i][0]=$row['Nombre_direccion'];
						$i++;
				    }
					$reg=$i;
					
					$sql_accion="SELECT accion from t_accion Order by accion asc";
					$resul_acciones=mysql_query($sql_accion);
					$j=1;
					
					while ($row2=mysql_fetch_array($resul_acciones)) { 
            	 		$reportes[0][$j]=$row2['accion'];
						$columnas[$j]=$row2['accion'];
						$j++;
				    }
					$reportes[0][$j]="<b>Total</b>";
					$col=$j;
					//inicializando la matriz********************
					for ($i=1;$i<$reg;$i++){
						 for ($j=1;$j<=$col;$j++){
						 	$reportes[$i][$j]=0;
						 }
					}
					
					//**********************buscando los registros
					for($i=1;$i<$reg;$i++){
						$valor=$reportes[$i][0];
						$sql="SELECT * from reporte where Nombre_direccion='$valor'";
						 $resul=mysql_query($sql);
						 $ban=0;
						 while ($row=mysql_fetch_array($resul)) {
						 	$servicio=$row['Tipo_servicio'];
							$indice=array_search($servicio,$columnas);
							//echo "******************** $indice";
							switch($indice){
								case 1: //Actualización de pagina web
										$reportes[$i][1]+=1;
										break;
								case 2: //Adm de sistemas de red
										$reportes[$i][2]+=1;
										break;
								case 3: //Asist. y soporte tecnico
										$reportes[$i][3]+=1;
										break;
								case 4: //Adm de sistemas de red
										$reportes[$i][4]+=1;
										break;
								case 5: //Capacitacion
										$reportes[$i][5]+=1;
										break;
								case 6: //Informes Realizados
										$reportes[$i][6]+=1;
										break;
								case 7: //Mantenimiento Correctivo
										$reportes[$i][7]+=1;
										break;
								case 8: //Mantenimiento Preventivo
										$reportes[$i][8]+=1;
										break;
								case 9: //Respaldos
										$reportes[$i][9]+=1;
										break;
																
							}
							
						
						 }
					
					}?>
				 
				 
				 
<table width="940" border="1" align="center" cellpadding="2" cellspacing="2" bordercolor="#000000" style="border: 1px solid #000000;">
				
				
				 
				     <?php

					
					for($i=0;$i<$reg;$i++){
					  $sum_filas=0;
					  if ($i==0){
					 echo "<tr bordercolor='#000000' bgcolor='#000000' class='Estilo2' width='10%' bordercolor='#000000'>"; 
					 }else{
					 echo "<tr bordercolor='#000000' class='Estilo2' width='10%' bordercolor='#000000'>";
					 }
					 for ($j=0;$j<$col;$j++){
					 	if($i==0){
				 	      echo "<td  style='border: 1px solid #000000;' class='Estilo2' >" . $reportes[$i][$j] ."</td>";
						}else{
							echo "<td  style='border: 1px solid #000000;' class='Estilo1' >" . $reportes[$i][$j] ."</td>";
						}  
						  
						if ($i>=1){
						      $sum_filas+=$reportes[$i][$j];
						  }
				        }
						if($i>=1){
						    $reportes[$i][$j]=$sum_filas;
						    echo "<td  style='border: 1px solid #000000;' class='Estilo1'><b>" . $reportes[$i][$j] ."<b></td></b>";
						}else{
							echo "<td style='border: 1px solid #8A0808;'>" . $reportes[$i][$j] ."</td>";
						}
						echo "</tr>";
						
					}
				 
				 echo "</table>";
				 
				 }else{
				 	echo "<script LANGUAGE='JavaScript'>
                        alert('No hay Ningun Reporte para Mostrar');
                        history.go(-1)
                        </script>";
				 }	
           	  
             ?>
      </td>
      </tr>
 </div>
</table>  
  
<input type="hidden" name="data" value="'. base64_encode(serialize($reportes)) .'">
<input type="hidden" name="reg" value="<?php echo $reg; ?>">
<input type="hidden" name="col" value="<?php echo $col; ?>">
</form>

<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="main.js"></script>    
</body>
</html>